#!/usr/bin/env bash

task_begin "Configuring firewall";

#shellcheck disable=SC2154
while read -r rule; do
	#shellcheck disable=SC2086
	execute ufw ${rule};
done < <(cat "${temp_dir}/ufw-rules.txt");

task_end "$?" "Error: Failed to configure firewall";


# TODO: Make this automatic. For now it's on a prompt to avoid a lockout.
#shellcheck disable=SC1117
if ask_yesno "Enable UFW? Current firewall rules are listed below.\n$(ufw show added)"; then
	task_begin "Enabling UFW";
	echo 'y' | ufw enable;
	task_end "$?" "Error: Failed to enable UFW"
fi
