#!/usr/bin/env bash


task_begin "Installing Nomad configuration";
# /etc/nomad is created by the apt postinstall script

subtask_begin "Copying configuration files";
cp "configs/nomad-client.hcl" "/etc/nomad/client.hcl";
cp "configs/nomad-server.hcl" "/etc/nomad/server.hcl";
cp "configs/nomad-both.hcl" "/etc/nomad/both.hcl";
subtask_end "$?";

# No UFW rules required, as we're now using wesher/wireguard, and allowing all inbound traffic on that interface

subtask_begin "Starting Nomad and enabling on boot";
systemctl enable --now nomad;
subtask_end "$?";

task_end "$?";
